﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using  ZugriffAusAccess;

namespace ZugriffAusAccessTest
{
    [TestClass]
    public class UnitTestZugriffAusAccess
    {
        private ZugriffAusAccess.ZugriffAusAccess sut;

        [TestInitialize]
        public void Initialize()
        {
            sut = new ZugriffAusAccess.ZugriffAusAccess();
        }


        [TestMethod]
        public void TestMethodBerechnungRente500Jahre()
        {
            decimal result = sut.GetGehalt(100, new DateTime(1999,1,15), 500, 0);
            Assert.AreEqual(622100, result);
        }



        [TestMethod]
        public void TestMethodBerechnungRente67Jahre()
        {
            decimal result = sut.GetGehalt(100, new DateTime(1999, 1, 15), 67, 0);
            Assert.AreEqual(103300, result);
        }


        [TestMethod]
        public void TestMethodBerechnungRente0Jahre()
        {
            decimal result = sut.GetGehalt(100, new DateTime(1999, 1, 15), 0, 0);
            Assert.AreEqual(0,result);
        }


        [TestMethod]
        public void TestMethodBerechnungRenteMinus100Jahre()
        {
            decimal result = sut.GetGehalt(100, new DateTime(1999, 1, 15), -100, 0);
            Assert.AreEqual(0,result);
        }


        [TestMethod]
        public void TestMethodBerechnungRente88JahreMit2ProzentErhoehung()
        {
            decimal result = sut.GetGehalt(100, new DateTime(1999, 1, 15), 88, new decimal( 0.02));
            Assert.AreEqual(new decimal(434314.0809),decimal.Round( result,4));
        }



        [TestCleanup]
        public void Clear()
        {
            sut = null;
        }

    }
}
