﻿Imports System
Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports ZugriffAusAccess

Namespace ZugriffAusAccessTest
    <TestClass>
    Public Class UnitTestZugriffAusAccess
        Private sut As ZugriffAusAccess.ZugriffAusAccess

        <TestInitialize>
        Public Sub Initialize()
            sut = New ZugriffAusAccess.ZugriffAusAccess()
        End Sub

        <TestMethod>
        Public Sub TestMethodBerechnungRente500Jahre()
            Dim d As Decimal = 622100
            Dim result As Decimal = sut.GetGehalt(100, New DateTime(1999, 1, 15), 500, 0)
            Assert.AreEqual(d, result)
        End Sub

        <TestMethod>
        Public Sub TestMethodBerechnungRente67Jahre()
            Dim d As Decimal = 103300
            Dim result As Decimal = sut.GetGehalt(100, New DateTime(1999, 1, 15), 67, 0)
            Assert.AreEqual(d, result)
        End Sub

        <TestMethod>
        Public Sub TestMethodBerechnungRente0Jahre()
            Dim d As Decimal = 0
            Dim result As Decimal = sut.GetGehalt(100, New DateTime(1999, 1, 15), 0, 0)
            Assert.AreEqual(d, result)
        End Sub

        <TestMethod>
        Public Sub TestMethodBerechnungRenteMinus100Jahre()
            Dim d As Decimal = 0

            Dim result As Decimal = sut.GetGehalt(100, New DateTime(1999, 1, 15), -100, 0)
            Assert.AreEqual(d, result)
        End Sub

        <TestMethod>
        Public Sub TestMethodBerechnungRente88JahreMit2ProzentErhoehung()

            Dim result As Decimal = sut.GetGehalt(100, New DateTime(1999, 1, 15), 88, New Decimal(0.02))
            Assert.AreEqual(New Decimal(434314.0809), Decimal.Round(result, 4))
        End Sub

        <TestCleanup>
        Public Sub Clear()
            sut = Nothing
        End Sub
    End Class
End Namespace
